Mailinglist Archive: opensuse-updates (101 mails)

< Previous Next >
openSUSE-SU-2012:1375-1: moderate: update for libproxy, libproxy-plugins
openSUSE Security Update: update for libproxy, libproxy-plugins
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:1375-1
Rating: moderate
References: #784523
Cross-References: CVE-2012-4504 CVE-2012-4505
Affected Products:
openSUSE 12.2
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update of libproxy fixed a buffer overflow flaw.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-720

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-720

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-720

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

libproxy-debugsource-0.4.7-14.4.1
libproxy-devel-0.4.7-14.4.1
libproxy-sharp-0.4.7-14.4.1
libproxy-tools-0.4.7-14.4.1
libproxy-tools-debuginfo-0.4.7-14.4.1
libproxy1-0.4.7-14.4.1
libproxy1-debuginfo-0.4.7-14.4.1
perl-Net-Libproxy-0.4.7-14.4.1
perl-Net-Libproxy-debuginfo-0.4.7-14.4.1

- openSUSE 12.2 (x86_64):

libproxy-plugins-debugsource-0.4.7-14.4.1
libproxy1-32bit-0.4.7-14.4.1
libproxy1-config-gnome3-0.4.7-14.4.1
libproxy1-config-gnome3-debuginfo-0.4.7-14.4.1
libproxy1-config-kde4-0.4.7-14.4.1
libproxy1-config-kde4-debuginfo-0.4.7-14.4.1
libproxy1-debuginfo-32bit-0.4.7-14.4.1
libproxy1-networkmanager-0.4.7-14.4.1
libproxy1-networkmanager-debuginfo-0.4.7-14.4.1
libproxy1-pacrunner-webkit-0.4.7-14.4.1
libproxy1-pacrunner-webkit-debuginfo-0.4.7-14.4.1

- openSUSE 12.2 (noarch):

python-libproxy-0.4.7-14.4.1

- openSUSE 12.1 (i586 x86_64):

libproxy-debugsource-0.4.7-7.7.1
libproxy-devel-0.4.7-7.7.1
libproxy-plugins-debugsource-0.4.7-7.7.1
libproxy-sharp-0.4.7-7.7.1
libproxy-tools-0.4.7-7.7.1
libproxy-tools-debuginfo-0.4.7-7.7.1
libproxy1-0.4.7-7.7.1
libproxy1-config-gnome3-0.4.7-7.7.1
libproxy1-config-gnome3-debuginfo-0.4.7-7.7.1
libproxy1-config-kde4-0.4.7-7.7.1
libproxy1-config-kde4-debuginfo-0.4.7-7.7.1
libproxy1-debuginfo-0.4.7-7.7.1
libproxy1-networkmanager-0.4.7-7.7.1
libproxy1-networkmanager-debuginfo-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-debuginfo-0.4.7-7.7.1
libproxy1-pacrunner-webkit-0.4.7-7.7.1
libproxy1-pacrunner-webkit-debuginfo-0.4.7-7.7.1
perl-Net-Libproxy-0.4.7-7.7.1
perl-Net-Libproxy-debuginfo-0.4.7-7.7.1

- openSUSE 12.1 (x86_64):

libproxy1-32bit-0.4.7-7.7.1
libproxy1-config-gnome3-32bit-0.4.7-7.7.1
libproxy1-config-gnome3-debuginfo-32bit-0.4.7-7.7.1
libproxy1-config-kde4-32bit-0.4.7-7.7.1
libproxy1-config-kde4-debuginfo-32bit-0.4.7-7.7.1
libproxy1-debuginfo-32bit-0.4.7-7.7.1
libproxy1-networkmanager-32bit-0.4.7-7.7.1
libproxy1-networkmanager-debuginfo-32bit-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-32bit-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-debuginfo-32bit-0.4.7-7.7.1
libproxy1-pacrunner-webkit-32bit-0.4.7-7.7.1
libproxy1-pacrunner-webkit-debuginfo-32bit-0.4.7-7.7.1

- openSUSE 12.1 (noarch):

python-libproxy-0.4.7-7.7.1

- openSUSE 12.1 (ia64):

libproxy1-config-gnome3-debuginfo-x86-0.4.7-7.7.1
libproxy1-config-gnome3-x86-0.4.7-7.7.1
libproxy1-config-kde4-debuginfo-x86-0.4.7-7.7.1
libproxy1-config-kde4-x86-0.4.7-7.7.1
libproxy1-debuginfo-x86-0.4.7-7.7.1
libproxy1-networkmanager-debuginfo-x86-0.4.7-7.7.1
libproxy1-networkmanager-x86-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-debuginfo-x86-0.4.7-7.7.1
libproxy1-pacrunner-mozjs-x86-0.4.7-7.7.1
libproxy1-pacrunner-webkit-debuginfo-x86-0.4.7-7.7.1
libproxy1-pacrunner-webkit-x86-0.4.7-7.7.1
libproxy1-x86-0.4.7-7.7.1

- openSUSE 11.4 (i586 x86_64):

libproxy-debugsource-0.4.7-6.28.1
libproxy-devel-0.4.7-6.28.1
libproxy-plugins-debugsource-0.4.7-6.28.1
libproxy-sharp-0.4.7-6.28.1
libproxy-tools-0.4.7-6.28.1
libproxy-tools-debuginfo-0.4.7-6.28.1
libproxy1-0.4.7-6.28.1
libproxy1-config-gnome-0.4.7-6.28.1
libproxy1-config-gnome-debuginfo-0.4.7-6.28.1
libproxy1-config-kde4-0.4.7-6.28.1
libproxy1-config-kde4-debuginfo-0.4.7-6.28.1
libproxy1-debuginfo-0.4.7-6.28.1
libproxy1-networkmanager-0.4.7-6.28.1
libproxy1-networkmanager-debuginfo-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-debuginfo-0.4.7-6.28.1
libproxy1-pacrunner-webkit-0.4.7-6.28.1
libproxy1-pacrunner-webkit-debuginfo-0.4.7-6.28.1
perl-Net-Libproxy-0.4.7-6.28.1
perl-Net-Libproxy-debuginfo-0.4.7-6.28.1

- openSUSE 11.4 (x86_64):

libproxy1-32bit-0.4.7-6.28.1
libproxy1-config-gnome-32bit-0.4.7-6.28.1
libproxy1-config-gnome-debuginfo-32bit-0.4.7-6.28.1
libproxy1-debuginfo-32bit-0.4.7-6.28.1
libproxy1-networkmanager-32bit-0.4.7-6.28.1
libproxy1-networkmanager-debuginfo-32bit-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-32bit-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-debuginfo-32bit-0.4.7-6.28.1
libproxy1-pacrunner-webkit-32bit-0.4.7-6.28.1
libproxy1-pacrunner-webkit-debuginfo-32bit-0.4.7-6.28.1

- openSUSE 11.4 (noarch):

python-libproxy-0.4.7-6.28.1

- openSUSE 11.4 (ia64):

libproxy1-config-gnome-debuginfo-x86-0.4.7-6.28.1
libproxy1-config-gnome-x86-0.4.7-6.28.1
libproxy1-debuginfo-x86-0.4.7-6.28.1
libproxy1-networkmanager-debuginfo-x86-0.4.7-6.28.1
libproxy1-networkmanager-x86-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-debuginfo-x86-0.4.7-6.28.1
libproxy1-pacrunner-mozjs-x86-0.4.7-6.28.1
libproxy1-pacrunner-webkit-debuginfo-x86-0.4.7-6.28.1
libproxy1-pacrunner-webkit-x86-0.4.7-6.28.1
libproxy1-x86-0.4.7-6.28.1


References:

http://support.novell.com/security/cve/CVE-2012-4504.html
http://support.novell.com/security/cve/CVE-2012-4505.html
https://bugzilla.novell.com/784523


< Previous Next >
This Thread
  • No further messages